Argonne National Laboratory

Experimental Physics and
Industrial Control System

1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017  2018  <20192020  Index 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017  2018  <20192020 
<== Date ==> <== Thread ==>

Subject: Re: PVA Client in python
From: Florian Feldbauer via Tech-talk <tech-talk@aps.anl.gov>
To: tech-talk@aps.anl.gov
Date: Tue, 18 Jun 2019 08:53:53 +0200
Hey,

here is the output of `pip3 install -v pvapy` on my system:

The error is "Could not find a version that satisfies the requirement pvapy (from versions: )"

Cheers,
Florian

~ > pip3 install -v pvapy
Converted retries value: Retry(total=5, connect=None, read=None, redirect=None) -> Retry(total=Retry(total=5, connect=None, read=None, redirect=None), connect=None, read=None, redirect=None) Converted retries value: Retry(total=5, connect=None, read=None, redirect=None) -> Retry(total=Retry(total=5, connect=None, read=None, redirect=None), connect=None, read=None, redirect=None)
Collecting pvapy
  1 location(s) to search for versions of pvapy:
  * https://pypi.python.org/simple/pvapy/
  Getting page https://pypi.python.org/simple/pvapy/
  Looking up "https://pypi.python.org/simple/pvapy/"; in the cache
  Returning cached "301 Moved Permanently" response (ignoring date and etag information)
  Looking up "https://pypi.org/simple/pvapy/"; in the cache
  Current age based on date: 22
  Freshness lifetime from max-age: 600
  Freshness lifetime from request max-age: 600
  The response is "fresh", returning cached response
  600 > 22
  Analyzing links from page https://pypi.org/simple/pvapy/
    Skipping link https://files.pythonhosted.org/packages/90/4c/070a0ac1fac05426e32b839b6e1f2a8e8e2c4fc7e458c18be59d2ad3bd67/pvapy-1.3.0-cp27-cp27m-manylinux1_x86_64.whl#sha256=166092f770797f205de2ab74dff00d79131abde3608096809161ea07094be74f (from https://pypi.org/simple/pvapy/); it is not compatible with this Python     Skipping link https://files.pythonhosted.org/packages/a3/77/99ecd2ccc5939019759bbd5020c0053b3fa43fbf1c9b35f098ed11c6a52d/pvapy-1.3.0-cp27-cp27mu-manylinux1_x86_64.whl#sha256=c4318e0b3c89d906e844ffe0f83ece16d660dffc02ac5289a407441016a8405e (from https://pypi.org/simple/pvapy/); it is not compatible with this Python     Skipping link https://files.pythonhosted.org/packages/63/1e/dccb319a575b2979244525f0756ffaaaf580c0551411cf346fb027a5b5c3/pvapy-1.3.0-cp36-cp36m-manylinux1_x86_64.whl#sha256=90db333adb7c284a1057b26e51ffb852bac1bf21c44b08e5b225535f602f9fae (from https://pypi.org/simple/pvapy/); it is not compatible with this Python     Skipping link https://files.pythonhosted.org/packages/59/74/e1073af9f9f3198862614d31ddc74ab6d591c234ad9e8e47e95fe82ae0da/pvapy-1.3.0-cp37-cp37m-manylinux1_x86_64.whl#sha256=4f57e0c74a7c572e09602ebbac4a58a18e636fc338413eac27292bad09cb3d18 (from https://pypi.org/simple/pvapy/); it is not compatible with this Python     Skipping link https://files.pythonhosted.org/packages/00/27/19d4d68a5c0bac0cee099851308146e688d95f2b19878c2637390783f80c/pvapy-1.4.0-cp27-cp27m-manylinux1_x86_64.whl#sha256=1bfdf2d6748acc502fc7da4b48925192986c66a48e7713587d9452a74ff385d4 (from https://pypi.org/simple/pvapy/); it is not compatible with this Python     Skipping link https://files.pythonhosted.org/packages/00/ea/d9efb150ca7d00df06458578ad8c662dc9486bf7f05efbe068cb287755e6/pvapy-1.4.0-cp27-cp27mu-manylinux1_x86_64.whl#sha256=6013f8ea4c4ba6f862fbca918584dfdcdc041b7ebd7da56b49ee379c94edb90a (from https://pypi.org/simple/pvapy/); it is not compatible with this Python     Skipping link https://files.pythonhosted.org/packages/f1/63/1aa389e9c915601ef11d2458d4fa081b9146313606ca32cbeb3c30268505/pvapy-1.4.0-cp36-cp36m-manylinux1_x86_64.whl#sha256=39070ce21e3be14078c6e764d6219bce6ef73d0620719e8462a24272b97490b5 (from https://pypi.org/simple/pvapy/); it is not compatible with this Python     Skipping link https://files.pythonhosted.org/packages/0d/75/ab1e3f73982837dd411e660860c301af8d1781503b5206a802e8867f35c4/pvapy-1.4.0-cp37-cp37m-manylinux1_x86_64.whl#sha256=53bbcd129ef9890908ca8fa7f7f1051731befeea04450802c3110ce3c50baffd (from https://pypi.org/simple/pvapy/); it is not compatible with this Python     Skipping link https://files.pythonhosted.org/packages/02/cc/7dc95ad0c8d07ba83bda7bf81e7a912e274fdb1afb4d553bf0f4633d7bb3/pvapy-1.5.0-cp27-cp27m-manylinux1_x86_64.whl#sha256=b0c29e50d28f071a19c22ec2545f8f1dfd0918a8965f599eb8e0c5b5f2394527 (from https://pypi.org/simple/pvapy/); it is not compatible with this Python     Skipping link https://files.pythonhosted.org/packages/bd/e2/0f9538a1aac48f9aee38218c7e4d40625579acee45dfbbfc3eb281a4f0cb/pvapy-1.5.0-cp27-cp27mu-manylinux1_x86_64.whl#sha256=c87467ed278cdae7ecaffc710c99e37be05683a0c5948e7802fbfb97ad0885c6 (from https://pypi.org/simple/pvapy/); it is not compatible with this Python     Skipping link https://files.pythonhosted.org/packages/3c/8d/be0183a7f2177e81bee3c8b362aabbc236e3d1e8fd825da613856b5c28bc/pvapy-1.5.0-cp36-cp36m-manylinux1_x86_64.whl#sha256=a0597bd0278e578eae425daf01a92d38e05a945b03e8121bf0e4e930cd492d00 (from https://pypi.org/simple/pvapy/); it is not compatible with this Python     Skipping link https://files.pythonhosted.org/packages/a3/d9/26a1a069a02ef22dd9690231a6d7795ef2678540f1e6b311db26ae94ca69/pvapy-1.5.0-cp37-cp37m-manylinux1_x86_64.whl#sha256=dac2587f1fc48b08bd41fae994e44feffe70884dfb148303743875258b743666 (from https://pypi.org/simple/pvapy/); it is not compatible with this Python     Skipping link https://files.pythonhosted.org/packages/a3/4a/13f1eaba6ab2278563574213ad660e0108a91b8c9947eedf5dead0531994/pvapy-1.6.0-cp27-cp27m-manylinux1_x86_64.whl#sha256=58a9b9ad5ef4ba31d35dabffb5ab0c3803e9615393c3c9dfc211d9bc11e28cf8 (from https://pypi.org/simple/pvapy/); it is not compatible with this Python     Skipping link https://files.pythonhosted.org/packages/1f/60/1aba5817709aa14589b8ac61f7c8aa75693e6ee00bf24b6d02a7f6296aea/pvapy-1.6.0-cp27-cp27mu-manylinux1_x86_64.whl#sha256=92a5fde532ba80a76c0e6fe398bd89aadaa5136b8982c11f285eec066b572d1d (from https://pypi.org/simple/pvapy/); it is not compatible with this Python     Skipping link https://files.pythonhosted.org/packages/39/41/9672263b80b3d107ca5a6e530d216393537e6346c31cb4a69d84bbb3299d/pvapy-1.6.0-cp36-cp36m-manylinux1_x86_64.whl#sha256=ff7be7169e787d10d08bc1eb2bd4b419fdd8514fc49fdfa0b0daa1022b8a8e95 (from https://pypi.org/simple/pvapy/); it is not compatible with this Python     Skipping link https://files.pythonhosted.org/packages/58/f5/00699c4ecf95d9ac9313496fd3dc19370fc73c36a69d9243d5c500f9fec8/pvapy-1.6.0-cp37-cp37m-manylinux1_x86_64.whl#sha256=4041b11d2cdd024357ab9313f38d8197c8c43f8c88dc7491e624d6401e62b181 (from https://pypi.org/simple/pvapy/); it is not compatible with this Python   Could not find a version that satisfies the requirement pvapy (from versions: )
Cleaning up...
No matching distribution found for pvapy
Exception information:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/pip/basecommand.py", line 215, in main
    status = self.run(options, args)
  File "/usr/lib/python3/dist-packages/pip/commands/install.py", line 353, in run
    wb.build(autobuilding=True)
  File "/usr/lib/python3/dist-packages/pip/wheel.py", line 749, in build
    self.requirement_set.prepare_files(self.finder)
  File "/usr/lib/python3/dist-packages/pip/req/req_set.py", line 380, in prepare_files
    ignore_dependencies=self.ignore_dependencies))
  File "/usr/lib/python3/dist-packages/pip/req/req_set.py", line 554, in _prepare_file
    require_hashes
  File "/usr/lib/python3/dist-packages/pip/req/req_install.py", line 278, in populate_link
    self.link = finder.find_requirement(self, upgrade)
  File "/usr/lib/python3/dist-packages/pip/index.py", line 514, in find_requirement
    'No matching distribution found for %s' % req
pip.exceptions.DistributionNotFound: No matching distribution found for pvapy

On 6/17/19 9:58 PM, Siniša Veseli via Tech-talk wrote:
Hello,

The "pvaccess" python module is part of pvapy, which you should be able
to get via conda or pip.

What was the problem with your pvapy pip install?

Thanks,

Sinisa

On 6/17/19 12:05 PM, Florian Feldbauer via Tech-talk wrote:
Hey Kay and David,

during the EPICS7 training at the collaboration meeting, we were using
a PVA client written in python.
This client imports the module "pvaccess".

For a small project I wanted to write my own PVA client in python, but
I cannot find this library.
Using `pip search pvaccess` I found a module called p4p (maintained by
David?) instead.
Googeling I found also pvapy which I could not install via pip.

Are there any recommendations which module to use?

In case it matters: My environment is Debian Stretch with Base 7.0.2.2.

Best regards,
Florian

--
Dr. Florian Feldbauer

Ruhr-Universität Bochum
Experimentalphysik I AG
Universitätsstr. 150
Fach-Nr. 125
D-44801 Bochum

Office: NB 2/134
Phone:  (+49)234 / 32-23563
Fax:    (+49)234 / 32-14170
https://paluma.ruhr-uni-bochum.de


Replies:
Re: PVA Client in python Siniša Veseli via Tech-talk
References:
PVA Client in python Florian Feldbauer via Tech-talk
Re: PVA Client in python Siniša Veseli via Tech-talk

Navigate by Date:
Prev: RE: StreamDevice for an odd float format Brown, Garth via Tech-talk
Next: StreamDevice: termination in binary communication Christian Pauly via Tech-talk
Index: 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017  2018  <20192020 
Navigate by Thread:
Prev: Re: PVA Client in python Siniša Veseli via Tech-talk
Next: Re: PVA Client in python Siniša Veseli via Tech-talk
Index: 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017  2018  <20192020 
ANJ, 18 Jun 2019 Valid HTML 4.01! · Home · News · About · Base · Modules · Extensions · Distributions · Download ·
· Search · EPICS V4 · IRMIS · Talk · Bugs · Documents · Links · Licensing ·